## xabacus 8.2.2

=== win32/Makefile ===
# @(#)Makefile
#
# Copyright 1995 - 2019  David A. Bagley, bagleyd AT verizon.net
#
# All Rights Reserved
#
# Permission to use, copy, modify, and distribute this software and
# its documentation for any purpose and without fee is hereby granted,
# provided that the above copyright notice appear in all copies and
# that both that copyright notice and this permission notice appear in
# supporting documentation, and that the name of the author not be
# used in advertising or publicity pertaining to distribution of the
# software without specific, written prior permission.
#
# This program is distributed in the hope that it will be "useful",
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

# Windows Makefile for Abacus

# DOS, UNIX & MKS
#CP = copy
#RM = del
#LN_S = cp

CP = cp -p
RM = rm -f
LN_S = ln -fs

# MinGW System Type Triplets
# most generic
#TRIPLET = i686-pc-mingw32
# on 64 bit building for 32 bit platforms
#TRIPLET = i686-w64-mingw32
# on 64 building for 64 bit platforms
TRIPLET = x86_64-w64-mingw32

# Set your C++ compiler
# Sun, SunC, Borland, Watcom, Microsoft, GNU
#CC = cc
#CC = acc
#CC = bcc
#CC = wcc
#CC = cl
#CC = CC
#CC = g++ -Wall -Woverloaded-virtual
#CC = gcc -Wall -ansi -pedantic
#GCC = gcc-3 -mno-cygwin
GCC = $(TRIPLET)-gcc
CC = $(GCC) -Wall -W -Wcast-qual -Wconversion -Wimplicit -Wmissing-declarations -Wunused -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wmissing-prototypes -Wstrict-prototypes -Wno-format -Wstrict-aliasing

# DEFAULT, Watcom
LD = $(CC)
#LD = wcl

# Microsoft, ?, Borland
#RC = rc
#RC = brc
#RC = brcc
#WINDRES = windres
WINDRES = $(TRIPLET)-windres
RC = $(WINDRES)

# Sun, SunC
LINT = lint

INDENT = indent

# DOS, UNIX, PostScript
#PRINT = print
PRINT = lpr
#PRINT = enscript -2r

N=
C=.c
#C=.cpp
#C=.cc

O=.o
#O=.obj
S=$(N) $(N)
E=.exe
#E=
A=

# please define
# C as the C source code extension
# O as the object extension
# S as the separator for object code
# E as the executable extension

.SUFFIXES:	$(C) $(O) $(E) .rc .res

wIDGET = abacus
WIDGET = Abacus
P=w
R=$(P)
V=$(P)
PROG = $(R)$(wIDGET)
VER = $(V)$(wIDGET)
STORE = /dosa/$(PROG)/
STORE2 = /dosc/$(PROG)/

READPATH = c:/WINDOWS
#READPATH = /WINDOWS

#WINVER = 0x030a
WINVER = 0x0950

##CHOME = c:\\bc\\
#CHOME = c:\bc\
#CHOME = c:/bc/
#CHOME = /usr/lib/w32api
#CHOME = /usr/$(TRIPLET)
CHOME = /usr/$(TRIPLET)/sys-root/mingw
#INCPATH = /usr/local/include
INCPATH = $(CHOME)/include
LIBPATH = $(CHOME)/lib
BINPATH = $(CHOME)/bin
#INCLUDES = -I$(INCPATH)
LIBRARIES = -lwinmm -lm
#XMLINCLUDES = -I$(INCPATH) -I/usr/include/libxml2
#XMLINCLUDES = -I$(INCPATH) -I$(INCPATH)/libxml2
XMLINCLUDES = -I$(INCPATH)/libxml2
XMLLIBRARIES = -L$(LIBPATH) -lxml2 -lz -llzma -liconv

HDRS = $(WIDGET)P.h $(WIDGET).h \
xwin.h file.h timer.h rngs.h sound.h version.h

COREOBJS = $(WIDGET)$(O)$(S)$(WIDGET)C$(O)$(S)$(WIDGET)D$(O)$(S)\
$(WIDGET)M$(O)$(S)$(WIDGET)T$(O)$(S)$(WIDGET)F$(O)
UTILOBJS = xwin$(O)$(S)file$(O)$(S)timer$(O)$(S)rngs$(O)$(S)sound$(O)
OBJS = $(COREOBJS)$(S)$(WIDGET)E$(O)$(S)$(P)$(wIDGET)$(O)$(S)$(UTILOBJS)
XMLOBJS = $(COREOBJS)$(S)$(WIDGET)xmlE$(O)$(S)$(P)$(wIDGET)$(O)$(S)$(UTILOBJS)

CORESRCS = $(WIDGET)$(C) $(WIDGET)C$(C) $(WIDGET)D$(C) \
$(WIDGET)M$(C) $(WIDGET)T$(C) $(WIDGET)F$(C) $(WIDGET)E$(C)
UTILSRCS = xwin$(C) file$(C) timer$(C) rngs$(C) sound$(C)
SRCS = $(UTILSRCS) $(CORESRCS) $(P)$(wIDGET)$(C)

TEXT = $(WIDGET).txt x$(wIDGET).htm

#OBJS = $(SRCS:$(C)=$(O))

DEFINES = -DWINVER=$(WINVER) -DHAVE_UNISTD_H \
-DSOUNDPATH=\"$(READPATH)\" -DSOUNDEXT=\".wav\" \
-DBUMPSOUND=\"bump\" -DMOVESOUND=\"move\" -DDRIPSOUND=\"drip\" \
-DDEMOPATH=\"$(DEMOPATH)\"

# If you get this error, you need to put dll libs in your path.
# wabacus.exe error while loading shared libraries: [? libml2-2.dll]:
# cannot open shared object file: No such file or directory
# Define for reading xml demo -DHAVE_LIBXML2

XMLDEFINES = -DHAVE_LIBXML2

# large memory model: Borland, Microsoft, UNIX
##COPT = -ml -WE -v -w4
#COPT = -AL -GA -Ow -W4 -Zp -Zi
#COPT = -mno-cygwin
COPT = -O2
#COPT = -g
#COPT = -g -DMONOTEST

# Borland, Microsoft, UNIX
#LOPT = -e
#LOPT = , /align:16, NUL, /nod llibcew libw oldnames,
#LOPT = -o
LOPT = -mwindows

CFLAGS = $(COPT) $(DEFINES) $(INCLUDES)
LDFLAGS = $(LOPT)
LIBS = $(LIBRARIES)
CXMLFLAGS = $(XMLDEFINES) $(XMLINCLUDES)
XMLLIBS = $(XMLLIBRARIES)

$(C)$(O):
	$(CC) -c $(CFLAGS) $<

.rc.res:
	$(RC) -r $(INCLUDES) $<

all:	$(PROG)$(E) $(TEXT)

$(WIDGET)xmlE$(O):	$(WIDGET)E$(C)
	$(CC) -c $(CFLAGS) $(CXMLFLAGS) $< -o $@

$(WIDGET)P.h:	../$(WIDGET)P.h
	$(LN_S) ../$(WIDGET)P.h $@

$(WIDGET).h:	../$(WIDGET).h
	$(LN_S) ../$(WIDGET).h $@

xwin.h:	../xwin.h
	$(LN_S) ../xwin.h $@

file.h:	../file.h
	$(LN_S) ../file.h $@

timer.h:	../timer.h
	$(LN_S) ../timer.h $@

rngs.h:	../rngs.h
	$(LN_S) ../rngs.h $@

sound.h:	../sound.h
	$(LN_S) ../sound.h $@

version.h:	../version.h
	$(LN_S) ../version.h $@

$(WIDGET)$(C):	../$(WIDGET)$(C)
	$(LN_S) ../$(WIDGET)$(C) $@

$(WIDGET)C$(C):	../$(WIDGET)C$(C)
	$(LN_S) ../$(WIDGET)C$(C) $@

$(WIDGET)D$(C):	../$(WIDGET)D$(C)
	$(LN_S) ../$(WIDGET)D$(C) $@

$(WIDGET)M$(C):	../$(WIDGET)M$(C)
	$(LN_S) ../$(WIDGET)M$(C) $@

$(WIDGET)T$(C):	../$(WIDGET)T$(C)
	$(LN_S) ../$(WIDGET)T$(C) $@

$(WIDGET)E$(C):	../$(WIDGET)E$(C)
	$(LN_S) ../$(WIDGET)E$(C) $@

$(WIDGET)F$(C):	../$(WIDGET)F$(C)
	$(LN_S) ../$(WIDGET)F$(C) $@

xwin$(C):	../xwin$(C)
	$(LN_S) ../xwin$(C) $@

file$(C):	../file$(C)
	$(LN_S) ../file$(C) $@

timer$(C):	../timer$(C)
	$(LN_S) ../timer$(C) $@

rngs$(C):	../rngs$(C)
	$(LN_S) ../rngs$(C) $@

sound$(C):	../sound$(C)
	$(LN_S) ../sound$(C) $@

$(PROG)$(C):	../x$(wIDGET)$(C)
	$(LN_S) ../x$(wIDGET)$(C) $@

# cannot be a symbolic link
$(wIDGET)Demo.xml:	../$(wIDGET)Demo.xml
	$(CP) ../$(wIDGET)Demo.xml $@

$(WIDGET).txt:	../COPYING version.h ../README ../TODO ../ChangeLog
#	cat ../COPYING > $@
#	echo "" >> $@
	grep VERSION version.h | cut -f2 -d\" >> $@
	echo "" >> $@
	sed s/^x$(wIDGET)/w$(wIDGET)/ ../README >> $@
	echo "" >> $@
	cat ../TODO >> $@
	echo "" >> $@
	echo "Updates to abacus:" >> $(WIDGET).txt
	cat ../ChangeLog >> $@
#	echo "" >> $@
#	cat ../NEWS >> $@

# This is for X-Windows but contains some general stuff too.
x$(wIDGET).htm:	../x$(wIDGET).html
	$(LN_S) ../x$(wIDGET).html $@

$(WIDGET)$(O):	$(HDRS)
$(WIDGET)C$(O):	$(WIDGET).h $(WIDGET)P.h
$(WIDGET)D$(O):	$(WIDGET).h $(WIDGET)P.h file.h
$(WIDGET)M$(O):	$(WIDGET).h $(WIDGET)P.h
$(WIDGET)T$(O):	$(WIDGET).h $(WIDGET)P.h
$(WIDGET)E$(O):	$(WIDGET)P.h
$(WIDGET)F$(O):	$(WIDGET)P.h
xwin$(O):	xwin.h
file$(O):	file.h
timer$(O):	timer.h
rngs$(O):	rngs.h
sound$(O):	sound.h file.h
$(PROG)$(O):	$(WIDGET).h $(WIDGET)P.h xwin.h

$(wIDGET).ico:	../pixmaps/16x16/$(wIDGET).xpm ../pixmaps/32x32/$(wIDGET).xpm ../pixmaps/48x48/$(wIDGET).xpm
	LIST="";\
	for i in 16x16 32x32 48x48; do\
		xpmtoppm -alphaout $(wIDGET)_alpha_$$i.pgm\
		../pixmaps/$$i/$(wIDGET).xpm > $(wIDGET)_$$i.ppm;\
		LIST="$$LIST $(wIDGET)_$$i.ppm $(wIDGET)_alpha_$$i.pgm";\
	done;\
	ppmtowinicon -andpgms $$LIST > $@
	$(RM) *.ppm *.pgm

$(PROG).res:	$(PROG).rc $(WIDGET).h $(wIDGET).ico version.h
	$(RC) $< -O coff -o $@

#	$(RC) $(INCLUDES) $(PROG).rc

# libxml2 needed
all-xml:	$(XMLOBJS) $(PROG).res $(wIDGET)Demo.xml
	$(LD) $(COPT) $(LDFLAGS) $(XMLOBJS) $(PROG).res $(LIBS) $(XMLLIBS) -o $(PROG)$(E)
	@echo "$(BINPATH) in your path?"

$(PROG)$(E):	$(OBJS) $(PROG).res
	$(LD) $(COPT) $(LDFLAGS) $(OBJS) $(PROG).res $(LIBS) -o $@

##$(PROG)$(E):	$(OBJS) $(PROG).res $(PROG).def
# Borland, Microsoft, UNIX
#	$(LD) $(COPT) $(OBJS) $(LIBS)
#	$(LD) $(COPT) $(OBJS) $(LIBS) $(LOPT)$(PROG)$(E)
#	$(LD) $(LOPT)$(PROG)$(E) $(COPT) $(OBJS) $(LIBS)
#	$(RC) $(INCLUDES) $(PROG).rc

run:
	./$(PROG)

# runtime options are currently ignored in Windows, set in ini file

clean:
	$(RM) *.o *.exe* core *~ *% *.bak *.res *.obj *.lnk
	$(RM) *.sbr *.sbt *.pdb *.vcw *.wsp *.bsc

distclean:	clean
	$(RM) $(WIDGET)*$(C) $(WIDGET)*.h $(PROG)$(C) $(TEXT)
	$(RM) xwin$(C) file$(C) timer$(C) rngs$(C) sound$(C)
	$(RM) xwin.h file.h timer.h rngs.h sound.h version.h

small:	all
	strip --strip-all $(PROG)$(E); true
	upx $(PROG)$(E); true

install:	small
	$(CP) $(PROG)$(E) `cygpath -W`
	$(CP) $(PROG).ini `cygpath -W`

uninstall:
	$(RM) `cygpath -W`/$(PROG)$(E)
	$(RM) `cygpath -W`/$(PROG).ini

antic:
	antic *.h *.c

lint:	$(SRCS)
	$(LINT) -ax -DLINT -DWINVER $(DEFS) $(INCLUDES) -I.. $(SRCS) $(LIBRARIES)

ASCIIWINEXTEND=c h ini rc txt htm
DOSDIR=../../win/$(PROG)
# Handles both versions (Linux and SunOS) of unix2dos and dos2unix

dos2unix:
	for j in ${ASCIIWINEXTEND}; do\
		for k in *.$${j}; do\
			if [ -r $${k} ]; then\
				cp $${k} $${k}.old;\
				dos2unix $${k}.old $${k};\
				rm $${k}.old;\
			fi;\
		done;\
	done

unix2dos:
	for j in ${ASCIIWINEXTEND}; do\
		for k in *.$${j}; do\
			if [ -r $${k} ]; then\
				cp $${k} $${k}.old;\
				unix2dos $${k}.old $${k};\
				rm $${k}.old;\
			fi;\
		done;\
	done

dist:
	mkdir -p $(DOSDIR);\
	for j in $(ASCIIWINEXTEND); do\
		for k in *.$${j}; do\
			if [ -r $${k} ]; then\
				cp $${k} $(DOSDIR)/$${k}.old;\
				cp $${k} $(DOSDIR)/$${k};\
				unix2dos $(DOSDIR)/$${k}.old $(DOSDIR)/$${k};\
				rm $(DOSDIR)/$${k}.old;\
			fi;\
		done;\
	done;\
	for k in *.exe *.ico *.bmp *.wav; do\
		if [ -r $${k} ]; then\
			cp -p $${k} $(DOSDIR)/$${k};\
		fi;\
	done

=== debian/changelog ===
xabacus (8.2.2-1) unstable; urgency=medium

  * TODO: Fix play.sh mess
  * New upstream release
  * Update standards version to 4.4.1
  * Add override for missing manpage for trivial wrapper

 -- Jonathan Carter <jcc@debian.org>  Mon, 16 Sep 2019 09:36:41 +0000

## xabacus 8.2.3

=== debian/changelog ===
xabacus (8.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Wed, 11 Dec 2019 09:32:58 +0200

=== debian/control ===
Source: xabacus
Section: games
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Standards-Version: 4.4.0
Build-Depends: debhelper-compat (= 12),
               dpkg-dev (>= 1.16.1~),
               libaudiofile-dev,
               libaudio-dev,
               libmotif-dev,
               libxpm-dev,
               libxt-dev
Homepage: http://www.sillycycle.com/abacus.html
Vcs-Browser: https://salsa.debian.org/debian/xabacus
Vcs-Git: https://salsa.debian.org/debian/xabacus.git

Package: xabacus
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: xabacus
Conflicts: xabacus
Replaces: xabacus
Description: simulation of the ancient calculator (plain X version)
 This program is an implementation of the original abacus, it provides
 the Chinese, Japanese, Korean, Roman and Russian version and can be
 modified to allow others.
 .
 This version was compiled without the Motif GUI widget library and thus
 shows limited user interface functionality. See xmabacus for the
 extended version.

Package: xmabacus
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: xabacus
Conflicts: xabacus
Replaces: xabacus
Description: simulation of the ancient calculator (Motif version)
 This program is an implementation of the original abacus, it provides
 the Chinese, Japanese, Korean, Roman and Russian version and can be
 modified to allow others.
 .
 This is the Motif version which shows additional functionality. Motif
 is a GUI widget library for the X Window system.

## xabacus 8.2.4

=== win32/Makefile ===
--- 
+++ 
@@ -252,8 +252,9 @@
 $(wIDGET)Demo.xml:	../$(wIDGET)Demo.xml
 	$(CP) ../$(wIDGET)Demo.xml $@
 
-$(WIDGET).txt:	../COPYING version.h ../README ../TODO ../ChangeLog
-#	cat ../COPYING > $@
+$(WIDGET).txt:	version.h ../README ../TODO ../ChangeLog
+	> $@
+#	cat ../COPYING >> $@
 #	echo "" >> $@
 	grep VERSION version.h | cut -f2 -d\" >> $@
 	echo "" >> $@
@@ -261,7 +262,7 @@
 	echo "" >> $@
 	cat ../TODO >> $@
 	echo "" >> $@
-	echo "Updates to abacus:" >> $(WIDGET).txt
+	echo "Updates:" >> $(WIDGET).txt
 	cat ../ChangeLog >> $@
 #	echo "" >> $@
 #	cat ../NEWS >> $@

=== debian/changelog ===
xabacus (8.2.4-1) unstable; urgency=medium

  * New upstream release
  * Declare rules-requires-root

 -- Jonathan Carter <jcc@debian.org>  Thu, 09 Jan 2020 14:22:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1~),
                libaudiofile-dev,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#  # Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CONFIGURE_FLAGS := --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		    --prefix=/usr --bindir=/usr/games --with-xpm \
		    --without-rplay --without-esound --with-nas \
                    --enable-def-play=/usr/share/games/xabacus/play.sh

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS += -Wall

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	true

build-motif-stamp:
	dh_testdir
	ln -sf /usr/share/misc/config.sub .
	ln -sf /usr/share/misc/config.guess .
	LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" LIBS="-laudiofile" ./configure $(CONFIGURE_FLAGS) --with-motif
	$(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" XWIDGETLDFLAGS="$(LDFLAGS)"
	touch $@

build-nomotif-stamp:
	dh_testdir
	[ ! -f Makefile ] || $(MAKE) -i distclean
	LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" LIBS="-laudiofile" ./configure $(CONFIGURE_FLAGS) --without-motif
	$(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" XWIDGETLDFLAGS="$(LDFLAGS)"
	touch $@

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) -i distclean
	dh_clean build-motif-stamp build-nomotif-stamp config.sub config.guess

install: install-motif-stamp install-nomotif-stamp
	for INFIX in '' m ; do \
		set -e ; \
		install -D debian/x$${INFIX}abacus.desktop \
			$(CURDIR)/debian/x$${INFIX}abacus/usr/share/applications/x$${INFIX}abacus.desktop ; \
		PIXDIR=$(CURDIR)/debian/x$${INFIX}abacus/usr/share/pixmaps ; \
		install -D -m 0644 $(CURDIR)/pixmaps/16x16/abacus.xpm $$PIXDIR/x$${INFIX}abacus.t.xpm ; \
		install -D -m 0644 $(CURDIR)/pixmaps/32x32/abacus.xpm $$PIXDIR/x$${INFIX}abacus.m.xpm ; \
		rm $(CURDIR)/debian/x$${INFIX}abacus/usr/share/games/xabacus/Abacus.ps ; \
                sed -i -e "s@$(CURDIR)/debian/x$${INFIX}abacus@@g" $(CURDIR)/debian/x$${INFIX}abacus/etc/X11/app-defaults/Abacus ; \
	done

install-motif-stamp: build-motif-stamp
	dh_testroot
	$(MAKE) install DESTDIR=$(CURDIR)/debian/xmabacus xapploaddir=/etc/X11/app-defaults

install-nomotif-stamp: build-nomotif-stamp
	dh_testroot
	$(MAKE) install DESTDIR=$(CURDIR)/debian/xabacus xapploaddir=/etc/X11/app-defaults

binary-indep: install
# We have nothing to do by default.

binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a -A debian/README.Debian Abacus.ps README TODO
	dh_installmenu -a
	dh_installman -a
	dh_installchangelogs -a ChangeLog
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep build-stamp build-motif-stamp build-nomotif-stamp clean install install-motif-stamp install-nomotif-stamp binary-indep binary-arch binary

## xabacus 8.2.7

=== win32/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # @(#)Makefile
 #
-# Copyright 1995 - 2019  David A. Bagley, bagleyd AT verizon.net
+# Copyright 1995 - 2020  David A. Bagley, bagleyd AT verizon.net
 #
 # All Rights Reserved
 #
@@ -127,14 +127,16 @@
 HDRS = $(WIDGET)P.h $(WIDGET).h \
 xwin.h file.h timer.h rngs.h sound.h version.h
 
-COREOBJS = $(WIDGET)$(O)$(S)$(WIDGET)C$(O)$(S)$(WIDGET)D$(O)$(S)\
-$(WIDGET)M$(O)$(S)$(WIDGET)T$(O)$(S)$(WIDGET)F$(O)
+COREOBJS = $(WIDGET)$(O)$(S)$(WIDGET)U$(O)$(S)$(WIDGET)C$(O)$(S)\
+$(WIDGET)D$(O)$(S) $(WIDGET)M$(O)$(S)$(WIDGET)T$(O)$(S)$(WIDGET)F$(O)$(S)\
+$(WIDGET)E$(O)
 UTILOBJS = xwin$(O)$(S)file$(O)$(S)timer$(O)$(S)rngs$(O)$(S)sound$(O)
-OBJS = $(COREOBJS)$(S)$(WIDGET)E$(O)$(S)$(P)$(wIDGET)$(O)$(S)$(UTILOBJS)
+OBJS = $(COREOBJS)$(S)$(P)$(wIDGET)$(O)$(S)$(UTILOBJS)
 XMLOBJS = $(COREOBJS)$(S)$(WIDGET)xmlE$(O)$(S)$(P)$(wIDGET)$(O)$(S)$(UTILOBJS)
 
-CORESRCS = $(WIDGET)$(C) $(WIDGET)C$(C) $(WIDGET)D$(C) \
-$(WIDGET)M$(C) $(WIDGET)T$(C) $(WIDGET)F$(C) $(WIDGET)E$(C)
+CORESRCS = $(WIDGET)$(C) $(WIDGET)U$(C) $(WIDGET)C$(C) \
+$(WIDGET)D$(C) $(WIDGET)M$(C) $(WIDGET)T$(C) $(WIDGET)F$(C) \
+$(WIDGET)E$(C)
 UTILSRCS = xwin$(C) file$(C) timer$(C) rngs$(C) sound$(C)
 SRCS = $(UTILSRCS) $(CORESRCS) $(P)$(wIDGET)$(C)
 
@@ -212,6 +214,9 @@
 $(WIDGET)$(C):	../$(WIDGET)$(C)
 	$(LN_S) ../$(WIDGET)$(C) $@
 
+$(WIDGET)U$(C):	../$(WIDGET)U$(C)
+	$(LN_S) ../$(WIDGET)U$(C) $@
+
 $(WIDGET)C$(C):	../$(WIDGET)C$(C)
 	$(LN_S) ../$(WIDGET)C$(C) $@
 
@@ -224,11 +229,11 @@
 $(WIDGET)T$(C):	../$(WIDGET)T$(C)
 	$(LN_S) ../$(WIDGET)T$(C) $@
 
+$(WIDGET)F$(C):	../$(WIDGET)F$(C)
+	$(LN_S) ../$(WIDGET)F$(C) $@
+
 $(WIDGET)E$(C):	../$(WIDGET)E$(C)
 	$(LN_S) ../$(WIDGET)E$(C) $@
-
-$(WIDGET)F$(C):	../$(WIDGET)F$(C)
-	$(LN_S) ../$(WIDGET)F$(C) $@
 
 xwin$(C):	../xwin$(C)
 	$(LN_S) ../xwin$(C) $@
@@ -266,18 +271,22 @@
 	cat ../ChangeLog >> $@
 #	echo "" >> $@
 #	cat ../NEWS >> $@
+	cp $@ $@.old
+	unix2dos $@.old $@
+	rm $@.old
 
 # This is for X-Windows but contains some general stuff too.
 x$(wIDGET).htm:	../x$(wIDGET).html
 	$(LN_S) ../x$(wIDGET).html $@
 
 $(WIDGET)$(O):	$(HDRS)
+$(WIDGET)U$(O):	$(WIDGET).h $(WIDGET)P.h
 $(WIDGET)C$(O):	$(WIDGET).h $(WIDGET)P.h
 $(WIDGET)D$(O):	$(WIDGET).h $(WIDGET)P.h file.h
 $(WIDGET)M$(O):	$(WIDGET).h $(WIDGET)P.h
 $(WIDGET)T$(O):	$(WIDGET).h $(WIDGET)P.h
+$(WIDGET)F$(O):	$(WIDGET)P.h
 $(WIDGET)E$(O):	$(WIDGET)P.h
-$(WIDGET)F$(O):	$(WIDGET)P.h
 xwin$(O):	xwin.h
 file$(O):	file.h
 timer$(O):	timer.h

=== debian/changelog ===
xabacus (8.2.7-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Thu, 23 Apr 2020 14:42:35 +0200

xabacus (8.2.6-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.5.0
  * Update copyright years, minor fixes to copyright file

 -- Jonathan Carter <jcc@debian.org>  Wed, 15 Apr 2020 12:31:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1~),

## xabacus 8.2.8

=== debian/changelog ===
xabacus (8.2.8-1) unstable; urgency=medium

  * New upstream release
  * Upgrade to debhelper-compat 13

 -- Jonathan Carter <jcc@debian.org>  Wed, 15 Jul 2020 12:52:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jonathan Carter <jcc@debian.org>
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1~),
                libaudiofile-dev,
                libaudio-dev,

## xabacus 8.2.9

=== win32/Makefile ===
--- 
+++ 
@@ -98,8 +98,6 @@
 V=$(P)
 PROG = $(R)$(wIDGET)
 VER = $(V)$(wIDGET)
-STORE = /dosa/$(PROG)/
-STORE2 = /dosc/$(PROG)/
 
 READPATH = c:/WINDOWS
 #READPATH = /WINDOWS
@@ -271,9 +269,6 @@
 	cat ../ChangeLog >> $@
 #	echo "" >> $@
 #	cat ../NEWS >> $@
-	cp $@ $@.old
-	unix2dos $@.old $@
-	rm $@.old
 
 # This is for X-Windows but contains some general stuff too.
 x$(wIDGET).htm:	../x$(wIDGET).html

=== debian/changelog ===
xabacus (8.2.9-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 11 Aug 2020 12:11:25 +0200

## xabacus 8.3.1

=== debian/changelog ===
xabacus (8.3.1-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.5.1

 -- Jonathan Carter <jcc@debian.org>  Sun, 13 Dec 2020 13:54:48 +0200

## xabacus 8.3.2

=== debian/changelog ===
xabacus (8.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 12 Jan 2021 17:08:39 +0200

## xabacus 8.3.4

=== win32/Makefile ===
--- 
+++ 
@@ -47,7 +47,7 @@
 #CC = gcc -Wall -ansi -pedantic
 #GCC = gcc-3 -mno-cygwin
 GCC = $(TRIPLET)-gcc
-CC = $(GCC) -Wall -W -Wcast-qual -Wconversion -Wimplicit -Wmissing-declarations -Wunused -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wmissing-prototypes -Wstrict-prototypes -Wno-format -Wstrict-aliasing
+CC = $(GCC) -Wall -W -Wcast-qual -Wconversion -Wimplicit -Wmissing-declarations -Wunused -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wno-format -Wstrict-aliasing -Wnested-externs -Wmissing-prototypes -Wno-overlength-strings -Wdeclaration-after-statement -std=c89 -U__STRICT_ANSI__
 
 # DEFAULT, Watcom
 LD = $(CC)

=== debian/changelog ===
xabacus (8.3.4-1) unstable; urgency=medium

  * New upstream release
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Tue, 16 Feb 2021 19:02:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1~),

=== debian/watch ===
version=4
opts=dversionmangle=s/-\d\+dfsg// \
http://www.sillycycle.com/abacus/ xabacus-(.*)\.tar\.xz

## xabacus 8.3.5

=== win32/Makefile ===
--- 
+++ 
@@ -178,7 +178,7 @@
 	$(CC) -c $(CFLAGS) $<
 
 .rc.res:
-	$(RC) -r $(INCLUDES) $<
+	$(RC) -r -o $(INCLUDES) $<
 
 all:	$(PROG)$(E) $(TEXT)

=== debian/changelog ===
xabacus (8.3.5-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 06 Apr 2021 14:53:44 +0200

## xabacus 8.4.1

=== debian/changelog ===
xabacus (8.4.1-1) unstable; urgency=medium

  * New upstream release
  * Remove Bokmal language patch (now applied upstream)

 -- Jonathan Carter <jcc@debian.org>  Mon, 25 Apr 2022 13:04:58 +0200

xabacus (8.4.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use correct machine-readable copyright file URI.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Submit (from ./configure).
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Fix day-of-week for changelog entry 8.1.4+dfsg1-1.

  [ Jonathan Carter ]
  * New upstream release
  * Include Norwegian Bokmål initial translation (Closes: #986355)
  * Update standards version to 4.6.0
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Fri, 03 Sep 2021 11:32:41 +0200

## xabacus 8.4.2

=== debian/changelog ===
xabacus (8.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 03 May 2022 12:39:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1~),
@@ -11,7 +11,7 @@
                libmotif-dev,
                libxpm-dev,
                libxt-dev
-Homepage: http://www.sillycycle.com/abacus.html
+Homepage: https://www.sillycycle.com/abacus.html
 Vcs-Browser: https://salsa.debian.org/debian/xabacus
 Vcs-Git: https://salsa.debian.org/debian/xabacus.git

=== debian/watch ===
version=4
opts=dversionmangle=s/-\d\+dfsg// \
https://www.sillycycle.com/abacus/ xabacus-(.*)\.tar\.xz

## xabacus 8.5.1

=== win32/Makefile ===
--- 
+++ 
@@ -322,6 +322,9 @@
 run:
 	./$(PROG)
 
+wine:
+	wine ./$(PROG)
+
 # runtime options are currently ignored in Windows, set in ini file
 
 clean:

=== debian/changelog ===
xabacus (8.5.1-1) unstable; urgency=medium

  * New upstream release
  * Fix watch file

 -- Jonathan Carter <jcc@debian.org>  Wed, 10 Aug 2022 10:38:01 +0200

xabacus (8.5.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.1

 -- Jonathan Carter <jcc@debian.org>  Sun, 10 Jul 2022 20:40:55 +0200

xabacus (8.4.3-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Mon, 23 May 2022 17:58:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1~),

=== debian/watch ===
version=4
opts=dversionmangle=s/-\d\+dfsg// \
https://www.sillycycle.com/abacus/ xabacus-(.*)\.tar\.bz2
